<?php
/*
 * Quake 2 Constants
 * From GPL-licensed Quake 2 source code available at idsoftware.com & Paintball2 source code from digitalpaint.org
*/

define("svc_bad",0);
define("svc_muzzleflash",1);
define("svc_muzzleflash2",2);
define("svc_temp_entity",3);
define("svc_layout",4);
define("svc_inventory",5);
define("svc_nop",6);
define("svc_disconnect",7);
define("svc_reconnect",8);
define("svc_sound",9);
define("svc_print",10);
define("svc_stufftext",11);
define("svc_serverdata",12);
define("svc_configstring",13);
define("svc_spawnbaseline",14);
define("svc_centerprint",15);
define("svc_download",16);
define("svc_playerinfo",17);
define("svc_packetentities",18);
define("svc_deltapacketentities",19);
define("svc_frame",20);

$svc_to_names = array("svc_bad","svc_muzzleflash","svc_muzzleflash2",
"svc_temp_entity","svc_layout","svc_inventory","svc_nop","svc_disconnect",
"svc_reconnect","svc_sound","svc_print","svc_stufftext","svc_serverdata",
"svc_configstring","svc_spawnbaseline","svc_centerprint","svc_download",
"svc_playerinfo","svc_packetentities","svc_deltapacketentities","svc_frame");
	
define("SND_VOLUME",(1<<0));
define("SND_ATTENUATION",(1<<1));
define("SND_POS",(1<<2));
define("SND_ENT",(1<<3));
define("SND_OFFSET",(1<<4));	

define("PS_M_TYPE",(1<<0));
define("PS_M_ORIGIN",(1<<1));
define("PS_M_VELOCITY",(1<<2));
define("PS_M_TIME",(1<<3));
define("PS_M_FLAGS",(1<<4));
define("PS_M_GRAVITY",(1<<5));
define("PS_M_DELTA_ANGLES",(1<<6));
define("PS_VIEWOFFSET",(1<<7));
define("PS_VIEWANGLES",(1<<8));
define("PS_KICKANGLES",(1<<9));
define("PS_BLEND",(1<<10));
define("PS_FOV",(1<<11));
define("PS_WEAPONINDEX",(1<<12));
define("PS_WEAPONFRAME",(1<<13));
define("PS_RDFLAGS",(1<<14));

define("U_ORIGIN1",(1<<0));
define("U_ORIGIN2",(1<<1));
define("U_ANGLE2",(1<<2));
define("U_ANGLE3",(1<<3));
define("U_FRAME8",(1<<4));
define("U_EVENT",(1<<5));
define("U_REMOVE",(1<<6));
define("U_MOREBITS1",(1<<7));
define("U_NUMBER16",(1<<8));
define("U_ORIGIN3",(1<<9));
define("U_ANGLE1",(1<<10));
define("U_MODEL",(1<<11));
define("U_RENDERFX8",(1<<12));
define("U_EFFECTS8",(1<<14));
define("U_MOREBITS2",(1<<15));
define("U_SKIN8",(1<<16));
define("U_FRAME16",(1<<17));
define("U_RENDERFX16",(1<<18));
define("U_EFFECTS16",(1<<19));
define("U_MODEL2",(1<<20));
define("U_MODEL3",(1<<21));
define("U_MODEL4",(1<<22));
define("U_MOREBITS3",(1<<23));
define("U_OLDORIGIN",(1<<24));
define("U_SKIN16",(1<<25));
define("U_SOUND",(1<<26));
define("U_SOLID",(1<<27));

define("MAX_CLIENTS",256);
define("MAX_EDICTS",1024);
define("MAX_LIGHTSTYLES",256);
define("MAX_MODELS",256);
define("MAX_SOUNDS",256);
define("MAX_IMAGES",256);
define("MAX_ITEMS",256);
define("MAX_GENERAL",(MAX_CLIENTS*2));

define("CS_NAME",0);
define("CS_CDTRACK",1);
define("CS_SKY",2);
define("CS_SKYAXIS",3);
define("CS_SKYROTATE",4);
define("CS_STATUSBAR",5);
define("CS_AIRACCEL",29);
define("CS_MAXCLIENTS",30);
define("CS_MAPCHECKSUM",31);
define("CS_MODELS",32);
define("CS_SOUNDS",(CS_MODELS+MAX_MODELS));
define("CS_IMAGES",(CS_SOUNDS+MAX_SOUNDS));
define("CS_LIGHTS",(CS_IMAGES+MAX_IMAGES));
define("CS_ITEMS",(CS_LIGHTS+MAX_LIGHTSTYLES));
define("CS_PLAYERSKINS",(CS_ITEMS+MAX_ITEMS));
define("CS_GENERAL",(CS_PLAYERSKINS+MAX_CLIENTS));
define("MAX_CONFIGSTRINGS",(CS_GENERAL+MAX_GENERAL));

define("CS_REQUIREDFILES",(CS_GENERAL+2));	// jitdownload
define("CS_SERVERGVERSION",(CS_GENERAL+7));	// jitversion
define("CS_SERVEREVERSION",(CS_GENERAL+8));	// jitversion
define("CS_TEAMINDEXES",(CS_GENERAL+9));	// jitscores
define("CS_GAMETYPE",(CS_GENERAL+10));		// jitscores
define("CS_WHATEVERSNEXT",(CS_GENERAL+11));	// use this for additional stuff
define("CS_EVENTS",(CS_GENERAL+256));			// jitevents

define("PRINT_LOW",0);		// pickup messages
define("PRINT_MEDIUM",1);	// death messages
define("PRINT_HIGH",2);		// critical messages
define("PRINT_CHAT",3);		// chat messages

// paintball2 stuff:
define("PRINT_DIALOG",11);		// pops up a dailog on the client
define("PRINT_ITEM",12);		// for item pickup notifications.
define("PRINT_EVENT",13);		// for events (such as flag captures)
define("PRINT_SCOREDATA",14);	// for server sending ping, kills, deaths, etc of a client.
define("PRINT_PINGDATA",15);	// for client-side scoreboard
define("PRINT_MAPLISTDATA",16);	// for client-side vote menu

define("PRINT_CHATN",20);		// chat with name index encoded into first character(s)
define("PRINT_CHATN_TEAM",21);
define("PRINT_CHATN_PRIVATE",22);
define("PRINT_CHATN_ACTION",23);
define("PRINT_CHATN_RESERVED",24);
define("PRINT_CHATN_RESERVED2",25);

$gamemode_to_names = array("DM","1-Flag CTF","CTF","Siege","KOTH","Eliminiation","Pong","TDM");

?>